## ros-kinetic-summit-xl-pad 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_xl_pad)

find_package(catkin REQUIRED COMPONENTS 
    message_generation
    robotnik_msgs
    roscpp 
    sensor_msgs 
    geometry_msgs 
    diagnostic_updater
    )
    
add_service_files(DIRECTORY srv 
   FILES
    enable_disable_pad.srv
)

generate_messages(
   DEPENDENCIES
   robotnik_msgs sensor_msgs summit_xl_pad
 )

catkin_package(
  CATKIN_DEPENDS 
    robotnik_msgs
    roscpp 
    sensor_msgs 
    geometry_msgs 
    message_runtime
)

include_directories(
  include 
  ${catkin_INCLUDE_DIRS} 
)

add_executable(summit_xl_pad src/summit_xl_pad.cpp)

add_dependencies(summit_xl_pad summit_xl_pad_generate_messages_cpp)

target_link_libraries(summit_xl_pad
   ${catkin_LIBRARIES}
 )

install(
  TARGETS summit_xl_pad
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-summit-xl-pad (1.1.2-0xenial) xenial; urgency=high

  * fixed merge conflicts
  * 1.0.9
  * updated changelog
  * Contributors: Marc Bosch-Jorge, carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Wed, 31 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.1.1-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.1.0-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.9-0xenial) xenial; urgency=high

  * Adding install rules
  * Contributors: Jorge Arino

 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.8-0xenial) xenial; urgency=high

  * removed twist_mux dependency
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.7-0xenial) xenial; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.6-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.5-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 04 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.4-0xenial) xenial; urgency=high

  * added dependency
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Wed, 29 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.3-0xenial) xenial; urgency=high

  * Deleted nav_msgs dependency
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.2-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-pad (1.0.1-0xenial) xenial; urgency=high

  * indigo-1.0.0
  * updated topic of axis camera
  * Bug fixed
  * Add ps4 joystick support
  * Pad bug solved. Now it commands 0.0 when DeadM button is released. Other minor changes
  * deleted bin folder
  * Now summit_xl_pad only publishes when deadman's buttos is pressed.
  * Transmission modified with new style.
  * New summit_xl_description and summit_xl_pad. HL version still not added
  * Contributors: Dani Carbonell, Elena Gambaro, mcantero, rguzman, summit
  * updated topic of axis camera
  * Bug fixed
  * Add ps4 joystick support
  * Pad bug solved. Now it commands 0.0 when DeadM button is released. Other minor changes
  * deleted bin folder
  * Now summit_xl_pad only publishes when deadman's buttos is pressed.
  * Transmission modified with new style.
  * New summit_xl_description and summit_xl_pad. HL version still not added
  * Contributors: Dani Carbonell, Elena Gambaro, rguzman, summit

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-summit-xl-pad
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Homepage: http://ros.org/wiki/summit_xl_pad
Standards-Version: 3.9.2

Package: ros-kinetic-summit-xl-pad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: The summit_xl_pad package allows to control the summit_xl product range (summit_xl, summit_xl_omni, x_wam) teleoperation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-summit-xl-pad//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
